phpBB 2.0.22 to 3.2.4 conversion error... MySQL 8.0

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
mrobin604
Registered User
Posts: 1
Joined: Mon Nov 19, 2018 8:20 am

phpBB 2.0.22 to 3.2.4 conversion error... MySQL 8.0

Post by mrobin604 » Mon Nov 19, 2018 8:26 am

Hi there,
I'm trying to migrate my phpbb database to the current version of phpbb with the install converter. It gives me an SQL error as follows:

SQL ERROR [ mysqli ]

You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'groups\x0AWHERE (groups.group_single_user = 0)\x0A LIMIT 2000' at line 2 [1064]

SQL

SELECT groups.group_id, groups.group_type, groups.group_name, groups.group_description FROM phpbb_groups groups WHERE (groups.group_single_user = 0) LIMIT 2000
in file C:\marsh\shga_website\forum\phpBB3\phpbb\db\driver\driver.php on line 997

As it turns out, 'groups' is a protected keyword in mysql 8.0... joy.

Any way I can get around this problem with a quick edit to the installer code? I took a brief look and didn't see anything obvious to change.

Post Reply

Return to “[3.2.x] Support Forum”

Who is online

Users browsing this forum: capherla, FlaSerIC, Frank Rizzo, Ghostwolf308, KokkinoVelos, rleeden and 30 guests